# MSP::CCS::GARS Class Reference

`#include <GARS.h>`

Inheritance diagram for MSP::CCS::GARS:

List of all members.

## Public Member Functions

| GARS ()
| GARS (const GARS &g)
| ~GARS (void)
GARS & | operator= (const GARS &g)
MSP::CCS::GARSCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates, long precision)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::GARSCoordinates *garsCoordinates)

## Detailed Description

Definition at line 94 of file GARS.h.

## Constructor & Destructor Documentation

GARS::GARS | ( |  | ) |

Definition at line 150 of file GARS.cpp.

GARS::GARS | ( | const GARS & | g | ) |

Definition at line 156 of file GARS.cpp.

GARS::~GARS | ( | void |  | ) |

Definition at line 163 of file GARS.cpp.

## Member Function Documentation

MSP::CCS::GARSCoordinates * GARS::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 180 of file GARS.cpp.

MSP::CCS::GeodeticCoordinates * GARS::convertToGeodetic | ( | MSP::CCS::GARSCoordinates * | garsCoordinates | ) |

Definition at line 302 of file GARS.cpp.

GARS & GARS::operator= | ( | const GARS & | g | ) |

Definition at line 168 of file GARS.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/gars/GARS.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/gars/GARS.cpp